Summary:	SMPlayer is a complete front-end for mplayer
Name:		smplayer
Version:	0.5.21
Release:	%mkrel 1
License:	GPL
Group:		Video
Url:		http://smplayer.sourceforge.net/
Source0:	http://smplayer.sourceforge.net/download/%{name}-%{version}.tar.bz2
BuildRequires:	kdelibs-devel
Requires:	mplayer		>= 1.0-1.rc1
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
SMPlayer intends to be a complete front-end for MPlayer,
from basic features like playing videos, DVDs, and VCDs 
to more advanced features like support for MPlayer filters and more.

One of the most interesting features of SMPlayer: it remembers the 
settings of all files you play. So you start to watch a movie but you 
have to leave... don't worry, when you open that movie again it will 
resume at the same point you left it, and with the same settings: 
audio track, subtitles, volume...

Other additional interesting features:

* Configurable subtitles. You can choose font and size, and even colors 
  for the subtitles.
* Audio track switching. You can choose the audio track you want to listen. 
  Works with avi and mkv. And of course with DVDs.
* Seeking by mouse wheel. You can use your mouse wheel to go forward or 
  backward in the video.
* Video equalizer, allows you to adjust the brightness, contrast, hue, 
  saturation and gamma of the video image.
* Multiple speed playback. You can play at 2X, 4X... and even in slow motion.
* Filters. Several filters are available: deinterlace, postprocessing, denoise... 
  and even a karaoke filter (voice removal).
* Audio and subtitles delay adjustment. Allows you to sync audio and subtitles.
* Advanced options, such as selecting a demuxer or video & audio codecs.
* Playlist. Allows you to enqueue several files to be played one after each other.
  Autorepeat and shuffle supported too.
* Preferences dialog. You can easily configure every option of SMPlayer by using 
  a nice preferences dialog.

SMPlayer supports themes which can be found in smplayer-themes package.

%prep
%setup -q

%build

%make PREFIX=%{_prefix} KDE_SUPPORT=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std PREFIX=%{_prefix}

desktop-file-install --vendor="" \
	--add-only-show-in="KDE" \
	--add-category="X-MandrivaLinux-Multimedia-Video" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%post
%{update_menus}
%{update_desktop_database}
%{update_icon_cache hicolor}

%postun
%{clean_menus}
%{clean_desktop_database}
%{clean_icon_cache hicolor}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc %{_datadir}/doc/packages/smplayer/*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/shortcuts
%dir %{_datadir}/%{name}/translations
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/%{name}/*.conf
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/shortcuts/*
%lang(bg) %{_datadir}/%{name}/translations/smplayer_bg.qm
%lang(cs) %{_datadir}/%{name}/translations/smplayer_cs.qm
%lang(de) %{_datadir}/%{name}/translations/smplayer_de.qm
%lang(en_US) %{_datadir}/%{name}/translations/smplayer_en_US.qm
%lang(es) %{_datadir}/%{name}/translations/smplayer_es.qm
%lang(fr) %{_datadir}/%{name}/translations/smplayer_fr.qm
%lang(hu) %{_datadir}/%{name}/translations/smplayer_hu.qm
%lang(it) %{_datadir}/%{name}/translations/smplayer_it.qm
%lang(ja) %{_datadir}/%{name}/translations/smplayer_ja.qm
%lang(ka) %{_datadir}/%{name}/translations/smplayer_ka.qm
%lang(nl) %{_datadir}/%{name}/translations/smplayer_nl.qm
%lang(pl) %{_datadir}/%{name}/translations/smplayer_pl.qm
%lang(pt_BR) %{_datadir}/%{name}/translations/smplayer_pt_BR.qm
%lang(pt_pt) %{_datadir}/%{name}/translations/smplayer_pt_PT.qm
%lang(ro_RO) %{_datadir}/%{name}/translations/smplayer_ro_RO.qm
%lang(ru_RU) %{_datadir}/%{name}/translations/smplayer_ru_RU.qm
%lang(sk) %{_datadir}/%{name}/translations/smplayer_sk.qm
%lang(sr) %{_datadir}/%{name}/translations/smplayer_sr.qm
%lang(sv) %{_datadir}/%{name}/translations/smplayer_sv.qm
%lang(tr) %{_datadir}/%{name}/translations/smplayer_tr.qm
%lang(uk_UA) %{_datadir}/%{name}/translations/smplayer_uk_UA.qm
%lang(zh_CN) %{_datadir}/%{name}/translations/smplayer_zh_CN.qm
%lang(zh_TW) %{_datadir}/%{name}/translations/smplayer_zh_TW.qm


%changelog
* Mon Jun 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.21-1mdv2008.0
+ Revision: 44178
- new version, last QT3 version also

* Sat Jun 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.19-1mdv2008.0
+ Revision: 43345
- new version
- drop X-MandrivaLinux
- add new translations

* Mon Jun 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.15-1mdv2008.0
+ Revision: 40659
- new version

* Thu Jun 14 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.13-1mdv2008.0
+ Revision: 39541
- new version

* Tue Jun 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.11-1mdv2008.0
+ Revision: 38335
- new version

* Thu Jun 07 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.7-1mdv2008.0
+ Revision: 36819
- new version

* Tue Jun 05 2007 Funda Wang <fundawang@mandriva.org> 0.5.5-1mdv2008.0
+ Revision: 35784
- New version

* Sat Jun 02 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.2-1mdv2008.0
+ Revision: 34432
- new version

* Tue May 29 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0-1mdv2008.0
+ Revision: 32315
- update to latest version

* Mon May 28 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.30-1mdv2008.0
+ Revision: 31982
- add traditional chinese translation
- new version

* Fri May 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.29-1mdv2008.0
+ Revision: 31195
- new version

* Fri May 25 2007 Funda Wang <fundawang@mandriva.org> 0.4.28-1mdv2008.0
+ Revision: 30965
- add sr language
- New upstream version

* Thu May 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.27-1mdv2008.0
+ Revision: 30535
- new version

* Mon May 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.25-2mdv2008.0
+ Revision: 29252
- update summary and description
- drop requires on smplayer-themes (no need to restrict free will of users :)
- pass %%_prefix for the %%make (still needed)

* Mon May 21 2007 Funda Wang <fundawang@mandriva.org> 0.4.25-1mdv2008.0
+ Revision: 29027
- fix installation path
- New upstream version

* Sun May 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.24-1mdv2008.0
+ Revision: 28845
- update to the latest version
- themes are standalone package now
- use %%makeinstall, as smplayer's makefile works fine
- some minor changes in spec file

* Sat May 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.23-1mdv2008.0
+ Revision: 28425
- new version
- fix translation path

* Thu May 17 2007 Funda Wang <fundawang@mandriva.org> 0.4.22-1mdv2008.0
+ Revision: 27537
- new upstream version 0.4.22

* Wed May 16 2007 Funda Wang <fundawang@mandriva.org> 0.4.21-1mdv2008.0
+ Revision: 27138
- New upstrem version 0.4.21

* Wed May 16 2007 Funda Wang <fundawang@mandriva.org> 0.4.20-1mdv2008.0
+ Revision: 27128
- New upstream version

* Sun May 13 2007 Funda Wang <fundawang@mandriva.org> 0.4.19-1mdv2008.0
+ Revision: 26510
- New upstream version

* Fri May 11 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.18-1mdv2008.0
+ Revision: 26212
- new version
- remove buildrequires on libqt-devel
- add Swedish translation

* Wed May 09 2007 Funda Wang <fundawang@mandriva.org> 0.4.16-1mdv2008.0
+ Revision: 25389
- new version.

* Tue May 08 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.15-1mdv2008.0
+ Revision: 25026
- new version

* Mon May 07 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.13-1mdv2008.0
+ Revision: 23954
- new version
- add Turkish translation
- add Source1 (a set of themes, which are upstream in separate tarball now)

* Fri May 04 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.7-1mdv2008.0
+ Revision: 22341
- new version

* Thu May 03 2007 Funda Wang <fundawang@mandriva.org> 0.4.6-1mdv2008.0
+ Revision: 20840
- New upstream version 0.4.6

* Mon Apr 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.1-1mdv2008.0
+ Revision: 19363
- new version

* Sat Apr 28 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.44-1mdv2008.0
+ Revision: 18964
- new version
- add Bulgarian translation

* Tue Apr 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.39-1mdv2008.0
+ Revision: 17934
- new version
- compile with KDE support
- set buildrequires on kdelibs-devel

* Mon Apr 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.36-1mdv2008.0
+ Revision: 17293
- new version
- set more precise requires on mplayer's version
- add missing cs translation

* Fri Apr 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.31-2mdv
+ Revision: 16254
- fix prefix
- use smplayer's own desktop file

* Fri Apr 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.31-1mdv2008.0
+ Revision: 15775
- new version
- fix prefix path
- icons are now included

* Wed Apr 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.27-1mdv2008.0
+ Revision: 14812
- new version

